Debian Bug report logs - #365602
xterm: When changing font size in fixed-size window, COLUMNS is not recalculated

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Reuben Thomas <rrt@sc3d.org>

Date: Mon, 1 May 2006 11:48:22 UTC

Severity: normal

Tags: patch

Found in version xterm/210-2

Fixed in version xterm/234-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#365602; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Reuben Thomas <rrt@sc3d.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reuben Thomas <rrt@sc3d.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: When changing font size in fixed-size window, COLUMNS is not recalculated
Date: Mon, 01 May 2006 12:38:45 +0100
Package: xterm
Version: 210-2
Severity: minor

I use fixed-size (full screen) windows under ion, so when I change the
font size in xterm, the window size does not change. Hence, COLUMNS
and LINES should be recalculated, but they aren't. Since the window
size doesn't change, I imagine the WM doesn't send SIGWINCH, so
presumably it should be up to xterm to determine that its window
hasn't changed size as requested.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages xterm depends on:
ii  libc6                     2.3.6-7        GNU C Library: Shared libraries
ii  libfontconfig1            2.3.2-5.1      generic font configuration library
ii  libice6                   6.9.0.dfsg.1-6 Inter-Client Exchange library
ii  libncurses5               5.5-1.1        Shared libraries for terminal hand
ii  libsm6                    6.9.0.dfsg.1-6 X Window System Session Management
ii  libx11-6                  6.9.0.dfsg.1-6 X Window System protocol client li
ii  libxaw7                   6.9.0.dfsg.1-6 X Athena widget set library
ii  libxext6                  6.9.0.dfsg.1-6 X Window System miscellaneous exte
ii  libxft2                   2.1.8.2-5.1    FreeType-based font drawing librar
ii  libxmu6                   6.9.0.dfsg.1-6 X Window System miscellaneous util
ii  libxt6                    6.9.0.dfsg.1-6 X Toolkit Intrinsics
ii  xlibs-data                6.9.0.dfsg.1-6 X Window System client data

Versions of packages xterm recommends:
ii  xutils                    6.9.0.dfsg.1-6 X Window System utility programs

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#365602; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Jim Paris <jim@jtan.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 365602@bugs.debian.org (full text, mbox):

From: Jim Paris <jim@jtan.com>
To: 365602@bugs.debian.org, control@bugs.debian.org
Subject: Patch for changing font size in a fixed-size window
Date: Thu, 31 Jan 2008 01:16:54 -0500
severity 365602 normal
tags 365602 + patch
thanks

Hi,

I think this is more than just a minor bug, as it very much reduces
the usefulness of font size changes.  In return for inflating the
severity, I offer a patch :)

With this applied, you can maximize an xterm, fire up a program like
emacs, hit "shift-KP_PLUS" and "shift-KP_MINUS", and marvel at how the
program resizes with the font to fit the screen.

-jim

--- xterm-231-orig/scrollbar.c	2007-02-11 09:49:56.000000000 -0500
+++ xterm-231/scrollbar.c	2008-01-31 01:00:43.000000000 -0500
@@ -192,6 +192,13 @@ DoResizeScreen(XtermWidget xw)
 	geomreqresult = XtMakeResizeRequest((Widget) xw, repWidth,
 					    repHeight, NULL, NULL);
     }
+
+    if (geomreqresult != XtGeometryYes) {
+        /* The resize wasn't successful, so we might need to adjust
+	   our idea of how large the screen is. */
+        xw->core.widget_class->core_class.resize((Widget) xw);
+    }
+
 #if 1				/* ndef nothack */
     /*
      * XtMakeResizeRequest() has the undesirable side-effect of clearing




Severity set to `normal' from `minor' Request was from Jim Paris <jim@jtan.com> to control@bugs.debian.org. (Thu, 31 Jan 2008 06:21:02 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Jim Paris <jim@jtan.com> to control@bugs.debian.org. (Thu, 31 Jan 2008 06:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#365602; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 365602@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 365602@bugs.debian.org
Cc: jim@jtan.com
Subject: re: #365602 xterm: When changing font size in fixed-size window, COLUMNS is not
Date: Wed, 27 Feb 2008 20:32:42 -0500
[Message part 1 (text/plain, inline)]
The patch by Jim Paris is a noticeable improvement (doesn't help - yet - with
the toolbar configuration, but with the normal configuration, it tracks most
resize events in ion2).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 19 Mar 2008 01:18:04 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Reuben Thomas <rrt@sc3d.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 365602-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 365602-close@bugs.debian.org
Subject: Bug#365602: fixed in xterm 234-1
Date: Wed, 19 Mar 2008 14:17:03 +0000
Source: xterm
Source-Version: 234-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_234-1.diff.gz
  to pool/main/x/xterm/xterm_234-1.diff.gz
xterm_234-1.dsc
  to pool/main/x/xterm/xterm_234-1.dsc
xterm_234-1_i386.deb
  to pool/main/x/xterm/xterm_234-1_i386.deb
xterm_234.orig.tar.gz
  to pool/main/x/xterm/xterm_234.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 365602@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 19 Mar 2008 15:08:03 +0100
Source: xterm
Binary: xterm
Architecture: source i386
Version: 234-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 365602 471332
Changes: 
 xterm (234-1) unstable; urgency=low
 .
   * New upstream release.
     + fix a case where an incorrect font was freed during initialization
       (closes: #471332)
     + improve resize computation for situations where the negotiation fails,
       by invoking the xterm widget's core-class resize method
       (closes: #365602)
   * Change doc-base section from `XShells' to `Terminal Emulators'; thanks,
     lintian!
Files: 
 2371a78924c66df82bee45480488726f 974 x11 optional xterm_234-1.dsc
 8091157c4a62f282f879339d1e5dc219 854977 x11 optional xterm_234.orig.tar.gz
 f8db5b1f419055cb20e8a50f1f3b097e 62161 x11 optional xterm_234-1.diff.gz
 a3e78a5d5c599615b2db135e747eb702 464738 x11 optional xterm_234-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH4R/ImEvTgKxfcAwRAgymAKC+Ra4PlmePuZp/qiyQALfiPYOUbwCgxp1Z
QKe1WHo4K+X3SRZF7KL7uOM=
=0y7+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 28 Apr 2008 07:25:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:43:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.